<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetItems Method (IEdmRefItemContainer)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRefItemContainer Interface : GetItems Method (IEdmRefItemContainer)

Visual Basic
C#
C++/CLI

eType
  Type of items to get as defined in EdmRefItemType

ppoRetItems
  Array of IEdmRefItems; one interface for each reference item

Gets items from this container.

# Syntax

Visual Basic |
--- | ---

    Sub GetItems( _
       ByVal eType As EdmRefItemType, _
       ByRef ppoRetItems() As System.Object _
    )

C# |
--- | ---

    void GetItems(
       EdmRefItemType eType,
       out System.object[] ppoRetItems
    )

C++/CLI |
--- | ---

    void GetItems(
    &   EdmRefItemType eType,
    &   [Out] System.array<Object^>^ ppoRetItems
    )

#### Parameters

eType
  Type of items to get as defined in EdmRefItemType
ppoRetItems
  Array of IEdmRefItems; one interface for each reference item

# Example

Access Check-in Flags in Check out Dialog (C#)
Access Check-in Flags in Check out Dialog (VB.NET)
Prevent Admin from Checking In File (C#)
Prevent Admin from Checking In File (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRefItemContainer Interface
IEdmRefItemContainer Members

# Availability

SOLIDWORKS PDM Professional Version 6.4